Solver.h File Reference
`#include "Paso.h"`
`#include "Functions.h"`
`#include "performance.h"`
`#include "SystemMatrix.h"`

Go to the source code of this file.

## Namespaces

| paso

## Macros

#define | TOLERANCE_FOR_SCALARS (double)(0.)

## Functions

void | paso::solve_free (SystemMatrix *in)
SolverResult | paso::Solver (SystemMatrix_ptr A, double *x, double *b, Options *options, Performance *pp)
| calls the iterative solver More...
void | paso::Solver_free (SystemMatrix *A)
SolverResult | paso::Solver_BiCGStab (SystemMatrix_ptr A, double *r, double *x, dim_t *iter, double *tolerance, Performance *pp)
SolverResult | paso::Solver_PCG (SystemMatrix_ptr A, double *r, double *x, dim_t *iter, double *tolerance, Performance *pp)
SolverResult | paso::Solver_TFQMR (SystemMatrix_ptr A, double *B, double *X, dim_t *iter, double *tolerance, Performance *pp)
SolverResult | paso::Solver_MINRES (SystemMatrix_ptr A, double *R, double *X, dim_t *iter, double *tolerance, Performance *pp)
SolverResult | paso::Solver_GMRES (SystemMatrix_ptr A, double *r, double *x, dim_t *iter, double *tolerance, dim_t Length_of_recursion, dim_t restart, Performance *pp)
SolverResult | paso::Solver_GMRES2 (Function *F, const double *f0, const double *x0, double *dx, dim_t *iter, double *tolerance, Performance *pp)
SolverResult | paso::Solver_NewtonGMRES (Function *F, double *x, Options *options, Performance *pp)

## Macro Definition Documentation

## TOLERANCE_FOR_SCALARS

#define TOLERANCE_FOR_SCALARS (double)(0.)

Referenced by paso::Solver_BiCGStab(), and paso::Solver_PCG().